Bug 559571 - libcom_err.so.2 missing after upgrade from F10
libcom_err.so.2 missing after upgrade from F10
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
i686 Linux
low Severity low
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-28 09:19 EST by Jason N
Modified: 2010-12-03 18:41 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:41:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason N 2010-01-28 09:19:54 EST
Description of problem:

I upgraded F10 on my T41 laptop to F12 using preupgrade.  The upgrade process completed to point or reboot. After reboot the system would not complete startup, failing to prompt for root password or Ctrl D to skip.
Entering root password takes you to shell.

Error msg is :
libcom_err.so.2: cannot open shared object file: No such file or directory

once in shell file system is accessible.  find / -name libcom_err.so.2 does not succeed.
RPM query shows libcom_err is not installed
rpm -qa | grep libcom_err

Version-Release number of selected component (if applicable):
upgrade from F10 to F12

How reproducible:
unkown

 
Actual results:
System fails to fully boot.

Expected results:
Successful upgrade.


Additional info:
Recovered system by installing libcom_err from rpm sourced via USB drive. (I tried yum but it would fail looking for libcom_err.so.2)
 Actions from recovery shell ---
 # remount filesystem for rw
 mount / -o rw,remount
 # mount usb
 mount -t vfat -o rw /dev/sdb1 /media
 # install rpms from USB drive
 #    libcom_err-1.41.9-5.fc12.i686.rpm  and
 #    libcom_err-devel-1.41.9-5.fc12.i686.rpm
 rpm -Uvh /media/libcom*
 # reboot
Comment 1 Fedora Admin XMLRPC Client 2010-04-16 10:34:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Bug Zapper 2010-11-03 19:42:41 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 18:41:50 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.